import request from '@/utils/request'

// 查询物料BOM管理列表
export function listBom(query) {
	return request({
		url: '/wms/bom/list',
		method: 'get',
		params: query
	});
}

// 查询物料BOM管理详细
export function getBom(bomItemId) {
	return request({
		url: '/wms/bom/' + bomItemId,
		method: 'get'
		});
}

// 新增物料BOM管理
export function addBom(data) {
	return request({
		url: '/wms/bom',
		method: 'post',
		data: data
	});
}

// 修改物料BOM管理
export function updateBom(data) {
	return request({
		url: '/wms/bom',
		method: 'put',
		data: data
	});
}

// 删除物料BOM管理
export function delBom(bomItemId) {
	return request({
		url: '/wms/bom/' + bomItemId,
		method: 'delete'
	});
}
